Page MenuHomePhabricator

vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php triggers warnings in PHP 7.3
Closed, ResolvedPublic

Description

km@km-pt:/srv/mediawiki/core$ php -l vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php 
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php on line 70
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php on line 78
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php on line 83
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php on line 89
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php on line 99
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php on line 102
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php on line 122
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php on line 127
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php on line 148
PHP Warning:  "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php on line 155
No syntax errors detected in vendor/oyejorge/less.php/lib/Less/Exception/Chunk.php

Details

Related Gerrit Patches:
mediawiki/core : REL1_31Use our fork of less.php
mediawiki/vendor : REL1_31Switch to our less.php fork
mediawiki/core : REL1_32Use our fork of less.php
mediawiki/vendor : REL1_32Use our own fork of less.php
mediawiki/core : masterUse our fork of less.php
mediawiki/vendor : masterUse our own fork of less.php

Event Timeline

Legoktm created this task.Oct 15 2018, 6:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2018, 6:31 AM
MaxSem claimed this task.Oct 15 2018, 8:01 AM

There are way more problems with this package, we've forked it.

Change 467580 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] Use our fork of less.php

https://gerrit.wikimedia.org/r/467580

Change 477006 had a related patch set uploaded (by MaxSem; owner: Vagrant Default User):
[mediawiki/vendor@master] Use our own fork of less.php

https://gerrit.wikimedia.org/r/477006

Change 477006 merged by jenkins-bot:
[mediawiki/vendor@master] Use our own fork of less.php

https://gerrit.wikimedia.org/r/477006

Change 467580 merged by jenkins-bot:
[mediawiki/core@master] Use our fork of less.php

https://gerrit.wikimedia.org/r/467580

Change 477320 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@REL1_32] Use our fork of less.php

https://gerrit.wikimedia.org/r/477320

Change 477321 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/vendor@REL1_32] Use our own fork of less.php

https://gerrit.wikimedia.org/r/477321

Change 477321 merged by jenkins-bot:
[mediawiki/vendor@REL1_32] Use our own fork of less.php

https://gerrit.wikimedia.org/r/477321

Change 477320 merged by jenkins-bot:
[mediawiki/core@REL1_32] Use our fork of less.php

https://gerrit.wikimedia.org/r/477320

RazeSoldier closed this task as Resolved.Dec 9 2018, 3:33 PM
Legoktm reopened this task as Open.Dec 18 2018, 4:09 AM

Still need to do 1.31

Change 480415 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/vendor@REL1_31] Switch to our less.php fork

https://gerrit.wikimedia.org/r/480415

Change 480417 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@REL1_31] Use our fork of less.php

https://gerrit.wikimedia.org/r/480417

Change 480415 merged by jenkins-bot:
[mediawiki/vendor@REL1_31] Switch to our less.php fork

https://gerrit.wikimedia.org/r/480415

Change 480417 merged by jenkins-bot:
[mediawiki/core@REL1_31] Use our fork of less.php

https://gerrit.wikimedia.org/r/480417

Legoktm closed this task as Resolved.Dec 18 2018, 5:48 AM